# Uses of Class
org.opensaml.saml.saml1.binding.artifact.SAML1ArtifactBuilderFactory

Packages that use SAML1ArtifactBuilderFactory
Package
Description
org.opensaml.saml.config
SAML library configuration.

## Uses of SAML1ArtifactBuilderFactory in org.opensaml.saml.config

Fields in org.opensaml.saml.config declared as SAML1ArtifactBuilderFactory
Modifier and Type
Field
Description
`private SAML1ArtifactBuilderFactory`
SAMLConfiguration.`saml1ArtifactBuilderFactory`
SAML 1 Artifact factory.
Methods in org.opensaml.saml.config that return SAML1ArtifactBuilderFactory
Modifier and Type
Method
Description
`SAML1ArtifactBuilderFactory`
SAMLConfiguration.`getSAML1ArtifactBuilderFactory()`
Gets the artifact factory for the library.
`static SAML1ArtifactBuilderFactory`
SAMLConfigurationSupport.`getSAML1ArtifactBuilderFactory()`
Gets the artifact factory for the library.
Methods in org.opensaml.saml.config with parameters of type SAML1ArtifactBuilderFactory
Modifier and Type
Method
Description
`void`
SAMLConfiguration.`setSAML1ArtifactBuilderFactory(SAML1ArtifactBuilderFactory factory)`
Sets the artifact factory for the library.
`static void`
SAMLConfigurationSupport.`setSAML1ArtifactBuilderFactory(SAML1ArtifactBuilderFactory factory)`
Sets the artifact factory for the library.